﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace GridViewExample.ViewModels
{
	public class MainViewModel
	{
		public MainViewModel()
		{
			Items = new ObservableCollection<TileViewModel>();
			for (int i = 0; i < 7; i++)
			{
				TileViewModel tile = new TileViewModel() { Header = String.Format("Tile {0}", i) };
				for (int j = 0; j < 7; j++)
				{

					tile.Products.Add(new ProductViewModel()
					{
						Name = String.Format("Product {0}.{1}", i, j),
						Description = String.Format("description of Product {0}.{1}", i, j),
						UnitPrice = (j+2) * 123
					});
				}
				Items.Add(tile);
			}
		}
		public ObservableCollection<TileViewModel> Items { get; set; }
	}
}
