﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace GridViewExample.ViewModels
{
	public class TileViewModel
	{
		public TileViewModel()
		{
			this.Products = new ObservableCollection<ProductViewModel>();
			this.MyCommand = new DelegateCommand((p) => { this.MyAction(); });
		}
		public string Header { get; set; }
		public ObservableCollection<ProductViewModel> Products { get; set; }
		public DelegateCommand MyCommand { get; set; }

		public void MyAction()
		{
			MessageBox.Show("Command Executed!");
		}

	}
}
