﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using GridViewExample.ViewModels;

namespace GridViewExample
{
	public partial class MainPage : UserControl
	{
		RadContextMenu _conditionContextMenu = new RadContextMenu();

		public MainPage()
		{
			InitializeComponent();
		}

		private void DoSomethin(RadTileViewItem _tileItem)
		{
			//_linID = ((LIN)_tileItem.Header).ID;
			//ViewModel.LoadData(_linID);

			foreach (RadGridView _radGrid in _tileItem.ChildrenOfType<RadGridView>())
			{
				RadContextMenu.SetContextMenu(_radGrid, _conditionContextMenu);
			}

			foreach (RadButton _radButtons in _tileItem.ChildrenOfType<RadButton>())
			{
				//if (_radButtons.Name == "_btnNew")
				//    _radButtons.Command = ViewModel.AddCommand;
				//if (_radButtons.Name == "_btnEdit")
				//    _radButtons.Command = ViewModel.EditCommand;
				//if (_radButtons.Name == "_btnDelete")
				//    _radButtons.Command = ViewModel.DeleteCommand;
				_radButtons.Command = (_tileItem.Header as TileViewModel).MyCommand;
			}
		}

		private void _linTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var container = e.OriginalSource as RadTileViewItem;
			if (container != null && container.TileState == TileViewItemState.Maximized)
			{
				this.Dispatcher.BeginInvoke(new Action(() =>
				{
					this.DoSomethin(container);
				}));
			}
		}
	}
}
